
#ifndef CHILDDLG_H
#define CHILDDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qvariant.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qtextcodec.h>

#include <kfiledialog.h>
#include <kdirselectdialog.h>
#include <ksimpleconfig.h>
#include <klocale.h>
#include <kiconloader.h>
#include <kstandarddirs.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;

class ChildDlg : public QDialog
{
    Q_OBJECT

public:
    ChildDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~ChildDlg();

    QGroupBox* groupBox1;
    QLineEdit* Theme;
    QLabel* ThemeLabel;
    QPushButton* pushButton3;
    QLabel* shEventsLabel;
    QComboBox* shEvents;
    QCheckBox* embed;
    QSpinBox* X;
    QSpinBox* Y;
    QSpinBox* H;
    QSpinBox* W;
    QLabel* XLabel;
    QLabel* YLabel;
    QLabel* WidthLabel;
    QLabel* HeightLabel;
    QLineEdit* Tooltip;
    QLabel* TipLabel;
    // Sensor Group
    QCheckBox* useSens;
    QGroupBox* SensorBox;
    QLabel* ProgramLabel;
    QLabel* LineLabel;
    QLabel* FormatLabel;
    QLabel* SensorLabel;
    QLabel* CodecLabel;
    QComboBox* SensorCombo;
    QLineEdit* Program;
    QLineEdit* Format;
    QLineEdit* Line;
    QLineEdit* Codec;
    QCheckBox* RDF;
    // Global
    QCheckBox* insCur;
    QPushButton* pushButton1;
    QPushButton* pushButton2;

protected:

protected slots:
    virtual void languageChange();
    virtual void selTheme();
    virtual void ChooseProgram();
    virtual void UseSensor( bool );

};

#endif // CHILDDLG_H
