#ifndef GRAPHDLG_H
#define GRAPHDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include <qcombobox.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qtextcodec.h>

#include <klocale.h>
#include <kcolordialog.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;

class GraphDlg : public QDialog
{
    Q_OBJECT

public:
    GraphDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~GraphDlg();

    QGroupBox* groupBox1;
    QLabel* XLabel;
    QLabel* YLabel;
    QLabel* ColorLabel;
    QLabel* WidthLabel;
    QLabel* HeightLabel;
    QLabel* MinLabel;
    QLabel* MaxLabel;
    QLabel* PointLabel;
    QSpinBox* spinBox1;
    QSpinBox* spinBox2;
    QSpinBox* spinBox1_2;
    QSpinBox* spinBox1_3;
    QSpinBox* spinBox1_4;
    QSpinBox* spinBox1_5;
    QSpinBox* spinBox1_6;
    QPushButton* pushButton3;
    QColor graphColor;
    // Sensor Group
    QCheckBox* useSens;
    QGroupBox* SensorBox;
    QLabel* ProgramLabel;
    QLabel* LineLabel;
    QLabel* FormatLabel;
    QLabel* SensorLabel;
    QLabel* CodecLabel;
    QComboBox* SensorCombo;
    QLineEdit* Program;
    QLineEdit* Format;
    QLineEdit* Line;
    QLineEdit* Codec;
    QCheckBox* RDF;
    // Global
    QCheckBox* insCur;
    QPushButton* pushButton1;
    QPushButton* pushButton2;

protected:

protected slots:
    virtual void languageChange();
    virtual void selColor();
    virtual void ChooseProgram();
    virtual void UseSensor( bool );

};

#endif // GRAPHDLG_H
