#include "savedlg.h"


/* 
 *  Constructs a SaveDlg as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SaveDlg::SaveDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )

{
    if ( !name )
	setName( "SaveDlg" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 422, 99 ) );
    setMaximumSize( QSize( 422, 99 ) );

    abort = false;

    icolab = new QLabel( this, "icoLab" );
    icolab->setGeometry( QRect( 40, 10, 48, 48 ) );
    i = new KIconLoader;
    icolab->setPixmap( i->loadIcon( "messagebox_warning", KIcon::Group(-1), 48 ) );
    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setGeometry( QRect( 91, 10, 310, 60 ) );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop ) );

    pushButton1 = new QPushButton( this, "pushButton1" );
    pushButton1->setGeometry( QRect( 30, 60, 101, 31 ) );
    pushButton1->setIconSet( SmallIconSet( "ok" ));
    pushButton1->setDefault(true);

    pushButton1_2 = new QPushButton( this, "pushButton1_2" );
    pushButton1_2->setGeometry( QRect( 160, 60, 101, 31 ) );

    pushButton1_3 = new QPushButton( this, "pushButton1_3" );
    pushButton1_3->setGeometry( QRect( 290, 60, 101, 31 ) );
    languageChange();
    pushButton1_3->setIconSet( SmallIconSet( "cancel" ));

    // signals and slots connections
    connect( pushButton1, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( pushButton1_2, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( pushButton1_3, SIGNAL( clicked() ), this, SLOT( done() ) );
    languageChange();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SaveDlg::~SaveDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SaveDlg::languageChange()
{
    setCaption( tr2i18n( "Save Theme" ) );
    pushButton1->setText( tr2i18n( "Save" ) );
    pushButton1_2->setText( tr2i18n( "Abort" ) );
    pushButton1_3->setText( tr2i18n( "Cancel" ) );
}

void SaveDlg::done(){
  abort = true;
  close();
}

void SaveDlg::setFile(QString fn){
  file = fn;
  textLabel1->setText( tr2i18n( "The document &lt;" + file + "&gt; have change!<br>Do you want to save it?" ) );
}

#include "savedlg.moc"
