#ifndef TEXT_H
#define TEXT_H

#include <qvariant.h>
#include <qdialog.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qtextcodec.h>

#include <klocale.h>
#include <kfiledialog.h>
#include <ksimpleconfig.h>
#include <kcolordialog.h>
#include <kfontcombo.h>
#include <kdirselectdialog.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QCheckBox;
class QComboBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QSpinBox;
class QTextEdit;

class TextDlg : public QDialog
{
    Q_OBJECT

public:
    TextDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~TextDlg();

    // Text Group
    QGroupBox* groupBox1;
    QSpinBox* Y;
    QSpinBox* X;
    QSpinBox* W;
    QSpinBox* H;
    QSpinBox* spinBox5;
    QSpinBox* spinBox6;
    QSpinBox* spinBox7;
    QSpinBox* spinBox8;
    QLabel* textLabel1;
    QLabel* textLabel2;
    QLabel* WidthLabel;
    QLabel* HeightLabel;
    QLabel* ValueLabel;
    QLabel* AlignLabel;
    QLabel* FontLabel;
    QLabel* ScrollLabel;
    QLabel* MscrollLabel;
    QLabel* ShadowLabel;
    QLabel* FsizeLabel;
    QComboBox* comboBox2;
    KFontCombo* FontCombo;
    QPushButton* pushButton3;
    QPushButton* pushButton4;
    QCheckBox* checkBox2;
    QTextEdit* Value;
    QLineEdit* lineEdit2;
    QColor textColor;
    QColor shadow;
    // Sensor Group
    QCheckBox* useSens;
    QGroupBox* SensorBox;
    QLabel* ProgramLabel;
    QLabel* LineLabel;
    QLabel* FormatLabel;
    QLabel* SensorLabel;
    QLabel* CodecLabel;
    QComboBox* SensorCombo;
    QLineEdit* Program;
    QLineEdit* Format;
    QLineEdit* Line;
    QLineEdit* Codec;
    QCheckBox* RDF;
    // Global
    QCheckBox* insCur;
    QPushButton* pushButton1;
    QPushButton* pushButton2;

public slots:

protected:

protected slots:
    virtual void languageChange();
    virtual void selColor();
    virtual void selShadow();
    virtual void ChooseProgram();
    virtual void UseSensor( bool );

};

#endif // TEXT_H
