
#ifndef CHILD_H
#define CHILD_H

#include <qstring.h>
#include <qrect.h>
#include <qevent.h>
#include <qregexp.h>

#include <kprocess.h>
#include <kprocio.h>
#include <krun.h>
#include <ksimpleconfig.h>

#include "karamba.h"
#include "meter.h"

/**
* @author Bosselut Cyril <bosselut@b1project.com>
* @version 0.23
*/
class Child : public Meter
{
    Q_OBJECT
public:
    Child(int x, int y, int w, int h );

    ~Child();

    void click( QMouseEvent* );
    void setEvent( QString );

    QRect getRectangle();

    void mUpdate( QPainter* );
    void setValue( int );
    void setValue( QString );
    void setEmbed( bool );
    void setTooltip( QString );
    void setKaramba(karamba*);
    void enter( QMouseEvent *);
    void leave( QMouseEvent *);

    QRect rect;
    QString event;

private:
    karamba* myKaramba;
    karamba* myChild;
    QWidget* parent;
    QString theme;

private slots:
    void hide(bool b);
    
protected:

};

#endif
