/***************************************************************************
 *   Copyright (C) 2003 by Bosselut Cyril                                   *
 *   bosselut@b1project.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "iconlabel.h"

IconLabel::IconLabel(int ix,int iy,int iw,int ih): Meter(ix,iy,iw,ih), zoomed(false), rollover(false){
  i = new KIconLoader;
}

IconLabel::IconLabel() : Meter(), zoomed(false), rollover(false){
}

IconLabel::~IconLabel(){
}

void IconLabel::setValue(int v){
 setValue( QString::number( v ) );
}

void IconLabel::setValue(QString fn){
  icon = fn;
  pixmap = i->loadIcon( icon, KIcon::Group(2), woff );
  pixmapWidth = woff;
  pixmapHeight = woff;
  rect_off = QRect(x,y,pixmapWidth,pixmapHeight);
}

void IconLabel::setSize(int s){
  woff = (s != 0)?s:32;
}

void IconLabel::setCenter(bool c, int w, int h){
  if(h == 0 || w == 0){
    width = QApplication::desktop()->width();
    height = QApplication::desktop()->height();
  }
  else{
    width = w + 2*x;
    height = h + 2*y;
  }
  center = c;
}

void IconLabel::mUpdate(QPainter* p){
  if(center == true){
    x = width/2 - pixmap.width()/2;
    y = height/2 - pixmap.height()/2;
  }
  if( ( (myKaramba->x() + myKaramba->themeW) >= 0) && ( (myKaramba->x() + x) <= QApplication::desktop()->width()) && ( (myKaramba->y() + myKaramba->themeH) >= 0) && ( (myKaramba->y() + y) <= QApplication::desktop()->height()) ){
    p->drawPixmap(x,y,pixmap);
  }
}

void IconLabel::parseImages(QString fn, int _xoff, int _yoff, int _xon, int _yon, int won){
  xoff = _xoff;
  yoff = _yoff;
  xon = _xon;
  yon = _yon;
  icon = fn;
  pixmap_off = i->loadIcon( icon, KIcon::Group(2), woff );
  rect_off = QRect(xoff,yoff,woff,woff);
  if (won == 0){
    return;
  }
  rollover=true;
  pixmap_on = i->loadIcon( icon, KIcon::Group(2), won );
  rect_on = QRect(xon,yon,won,won);
}

void IconLabel::setKaramba(karamba* k){
  myKaramba = k;
}

void IconLabel::rolloverImage(QMouseEvent *e){
  if (!rollover){
    return;
  }

  if (zoomed){
    if (!rect_off.contains(e->pos())){
      // rollover the image to the zoomed image
      x = xoff;
      y = yoff;
      pixmap = pixmap_off;
      pixmapWidth = woff;
      pixmapHeight = woff;
      zoomed = false;
      myKaramba->step();
    }
  }
  else{
    if (rect_off.contains(e->pos())){
      // rollover the image to the zoomed image
      x = xon;
      y = yon;
      pixmap = pixmap_on;
      pixmapWidth = won;
      pixmapHeight = won;
      zoomed = true;
      myKaramba->step();
    }
  }
}

void IconLabel::setTooltip(QString txt){
  QRect rect(x,y,pixmapWidth,pixmapHeight);
  QToolTip::add(myKaramba, rect, txt);
}
